Exodus 7.22

Macros | Functions
exo_jack.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Macros
#define | real float
#define | entity_id int
#define | F2C(name, NAME) name

## Functions
static void | ex_fcdcpy (char *fstring, int fslen, char *sstring)
static void | ex_fstrncpy (char *target, char *source, int maxlen)
static void | ex_nstrncpy (char *target, char *source, int maxlen)
int | excre (char *path, int *clobmode, int *cpu_word_size, int *io_word_size, int *ierr, int pathlen)
int | exopen (char *path, int *mode, int *cpu_word_size, int *io_word_size, float *version, int *ierr, int pathlen)
void | exclos (int *idexo, int *ierr)
void | exupda (int *idexo, int *ierr)
void | expini (int *idexo, char *title, void_int *num_dim, void_int *num_nodes, void_int *num_elem, void_int *num_elem_blk, void_int *num_node_sets, void_int *num_side_sets, int *ierr, int titlelen)
void | exgini (int *idexo, char *title, void_int *num_dim, void_int *num_nodes, void_int *num_elem, void_int *num_elem_blk, void_int *num_node_sets, void_int *num_side_sets, int *ierr, int titlelen)
void | expqa (int *idexo, int *num_qa_records, char *qa_record, int *ierr, int qa_recordlen)
void | exgqa (int *idexo, char *qa_record, int *ierr, int qa_recordlen)
void | expinf (int *idexo, int *num_info, char *info, int *ierr, int infolen)
void | exginf (int *idexo, char *info, int *ierr, int infolen)
void | expcor (int *idexo, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void | exgcor (int *idexo, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void | expcon (int *idexo, char *coord_names, int *ierr, int coord_nameslen)
void | exgcon (int *idexo, char *coord_names, int *ierr, int coord_nameslen)
void | expmap (int *idexo, void_int *elem_map, int *ierr)
void | exgmap (int *idexo, void_int *elem_map, int *ierr)
void | expclb (int *idexo, void_int *elem_blk_id, char *elem_type, void_int *num_elem_this_blk, void_int *num_nodes_per_elem, void_int *num_attr, int *create_maps, int *ierr, int elem_typelen)
void | expelb (int *idexo, entity_id *elem_blk_id, char *elem_type, void_int *num_elem_this_blk, void_int *num_nodes_per_elem, void_int *num_attr, int *ierr, int elem_typelen)
void | exgelb (int *idexo, entity_id *elem_blk_id, char *elem_type, void_int *num_elem_this_blk, void_int *num_nodes_per_elem, void_int *num_attr, int *ierr, int elem_typelen)
void | exgebi (int *idexo, void_int *elem_blk_ids, int *ierr)
void | expelc (int *idexo, entity_id *elem_blk_id, void_int *connect, int *ierr)
void | exgelc (int *idexo, entity_id *elem_blk_id, void_int *connect, int *ierr)
void | expecpp (int *idexo, int *obj_type, entity_id *elem_blk_id, int *counts, int *ierr)
void | exgecpp (int *idexo, int *obj_type, entity_id *elem_blk_id, int *counts, int *ierr)
void | expeat (int *idexo, entity_id *elem_blk_id, real *attrib, int *ierr)
void | exgeat (int *idexo, entity_id *elem_blk_id, real *attrib, int *ierr)
void | exgean (int *idexo, entity_id *elem_blk_id, int *num_attr, char *names, int *ierr, int nameslen)
void | expean (int *idexo, entity_id *elem_blk_id, int *num_attr, char *names, int *ierr, int nameslen)
void | expnams (int *idexo, int *type, int *num_obj, char *names, int *ierr, int nameslen)
void | expnam (int *idexo, int *type, int *id, char *name, int *ierr, int namelen)
void | exgnams (int *idexo, int *type, int *num_obj, char *names, int *ierr, int nameslen)
void | exgnam (int *idexo, int *type, int *id, char *name, int *ierr, int namelen)
void | exppn (int *idexo, int *obj_type, int *num_props, char *prop_names, int *ierr, int prop_nameslen)
void | exgpn (int *idexo, int *obj_type, char *prop_names, int *ierr, int prop_nameslen)
void | expp (int *idexo, int *obj_type, entity_id *obj_id, char *prop_name, entity_id *value, int *ierr, int prop_namelen)
void | exgp (int *idexo, int *obj_type, entity_id *obj_id, char *prop_name, void_int *value, int *ierr, int prop_namelen)
void | exgpa (int *idexo, int *obj_type, char *prop_name, void_int *values, int *ierr, int prop_namelen)
void | exppa (int *idexo, int *obj_type, char *prop_name, void_int *values, int *ierr, int prop_namelen)
void | expnp (int *idexo, entity_id *node_set_id, void_int *num_nodes_in_set, void_int *num_dist_in_set, int *ierr)
void | exgnp (int *idexo, entity_id *node_set_id, void_int *num_nodes_in_set, void_int *num_dist_in_set, int *ierr)
void | expns (int *idexo, entity_id *node_set_id, void_int *node_set_node_list, int *ierr)
void | expnsd (int *idexo, entity_id *node_set_id, real *node_set_dist_fact, int *ierr)
void | exgns (int *idexo, entity_id *node_set_id, void_int *node_set_node_list, int *ierr)
void | exgnsd (int *idexo, entity_id *node_set_id, real *node_set_dist_fact, int *ierr)
void | exgnsi (int *idexo, void_int *node_set_ids, int *ierr)
void | expcns (int *idexo, void_int *node_set_ids, void_int *num_nodes_per_set, void_int *num_dist_per_set, void_int *node_sets_node_index, void_int *node_sets_dist_index, void_int *node_sets_node_list, real *node_sets_dist_fact, int *ierr)
void | exgcns (int *idexo, void_int *node_set_ids, void_int *num_nodes_per_set, void_int *num_dist_per_set, void_int *node_sets_node_index, void_int *node_sets_dist_index, void_int *node_sets_node_list, real *node_sets_dist_fact, int *ierr)
void | expsp (int *idexo, entity_id *side_set_id, void_int *num_sides_in_set, void_int *num_df_in_set, int *ierr)
void | exgsp (int *idexo, entity_id *side_set_id, void_int *num_sides_in_set, void_int *num_df_in_set, int *ierr)
void | exgsnl (int *idexo, entity_id *side_set_id, void_int *num_nodes_in_set, int *ierr)
void | expss (int *idexo, entity_id *side_set_id, void_int *side_set_elem_list, void_int *side_set_side_list, int *ierr)
void | exgss (int *idexo, entity_id *side_set_id, void_int *side_set_elem_list, void_int *side_set_side_list, int *ierr)
void | expssd (int *idexo, entity_id *side_set_id, real *side_set_dist_fact, int *ierr)
void | exgssd (int *idexo, entity_id *side_set_id, real *side_set_dist_fact, int *ierr)
void | exgssi (int *idexo, void_int *side_set_ids, int *ierr)
void | expcss (int *idexo, void_int *side_set_ids, void_int *num_elem_per_set, void_int *num_dist_per_set, void_int *side_sets_elem_index, void_int *side_sets_dist_index, void_int *side_sets_elem_list, void_int *side_sets_side_list, real *side_sets_dist_fact, int *ierr)
void | exgcss (int *idexo, void_int *side_set_ids, void_int *num_elem_per_set, void_int *num_dist_per_set, void_int *side_sets_elem_index, void_int *side_sets_dist_index, void_int *side_sets_elem_list, void_int *side_sets_side_list, real *side_sets_dist_fact, int *ierr)
void | exgcssf (int *idexo, void_int *side_set_ids, void_int *num_elem_per_set, void_int *num_dist_per_set, void_int *side_sets_elem_index, void_int *side_sets_dist_index, void_int *side_sets_elem_list, void_int *side_sets_side_list, int *ierr)
void | expvp (int *idexo, char *var_type, int *num_vars, int *ierr, int var_typelen)
void | exgvp (int *idexo, char *var_type, int *num_vars, int *ierr, int var_typelen)
void | expvan (int *idexo, char *var_type, int *num_vars, char *var_names, int *ierr, int var_typelen, int var_nameslen)
void | exgvan (int *idexo, char *var_type, int *num_vars, char *var_names, int *ierr, int var_typelen, int var_nameslen)
void | expvtt (int *idexo, int *num_elem_blk, int *num_elem_var, int *elem_var_tab, int *ierr)
void | expnstt (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void | expsstt (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void | exgvtt (int *idexo, int *num_elem_blk, int *num_elem_var, int *elem_var_tab, int *ierr)
void | exgnstt (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void | exgsstt (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void | expgv (int *idexo, int *time_step, int *num_glob_vars, real *glob_var_vals, int *ierr)
void | exggv (int *idexo, int *time_step, int *num_glob_vars, real *glob_var_vals, int *ierr)
void | exggvt (int *idexo, int *glob_var_index, int *beg_time_step, int *end_time_step, real *glob_var_vals, int *ierr)
void | expnv (int *idexo, int *time_step, int *nodal_var_index, void_int *num_nodes, real *nodal_var_vals, int *ierr)
void | exgnv (int *idexo, int *time_step, int *nodal_var_index, void_int *num_nodes, real *nodal_var_vals, int *ierr)
void | exgnvt (int *idexo, int *nodal_var_index, void_int *node_number, int *beg_time_step, int *end_time_step, real *nodal_var_vals, int *ierr)
void | expev (int *idexo, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *num_elem_this_blk, real *elem_var_vals, int *ierr)
void | exgev (int *idexo, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *num_elem_this_blk, real *elem_var_vals, int *ierr)
void | exgevt (int *idexo, int *elem_var_index, void_int *elem_number, int *beg_time_step, int *end_time_step, real *elem_var_vals, int *ierr)
void | expnsv (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void | exgnsv (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void | expssv (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void | exgssv (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void | exptim (int *idexo, int *time_step, real *time_value, int *ierr)
void | exgtim (int *idexo, int *time_step, real *time_value, int *ierr)
void | exgatm (int *idexo, real *time_values, int *ierr)
void | exinq (int *idexo, int *req_info, void_int *ret_int, float *ret_float, char *ret_char, int *ierr, int ret_charlen)
int64_t | exinqi (int *idexo, int *req_info)
void | excn2s (int *idexo, void_int *num_elem_per_set, void_int *num_nodes_per_set, void_int *side_sets_elem_index, void_int *side_sets_node_index, void_int *side_sets_elem_list, void_int *side_sets_node_list, void_int *side_sets_side_list, int *ierr)
void | exgssn (int *idexo, entity_id *side_set_id, int *side_set_node_cnt_list, void_int *side_set_node_list, int *ierr)
void | exgssc (int *idexo, entity_id *side_set_id, int *side_set_node_cnt_list, int *ierr)
void | exgcssc (int *idexo, int *side_set_node_cnt_list, int *ierr)
void | exgfrm (int *idexo, int *nframeo, void_int *cfids, real *coord, int *tags, int *ierr)
void | expfrm (int *idexo, int *nframe, void_int *cfids, real *coord, int *tags, int *ierr)
int | excpws ()
int | exlgmd (int *idexo)
void | exerr (char *pname, char *err_string, int *errcode, int pnamelen, int err_stringlen)
void | exopts (int *option_val, int *ierr)
void | exsi64 (int *idexo, int *mode, int *ierr)
int64_t | exgi64 (int *idexo)
void | exmxnm (int *idexo, int *length, int *ierr)
void | exsetopt (int *idexo, int *option, int *value, int *ierr)
void | excopy (int *idexo_in, int *idexo_out, int *ierr)
void | exgem (int *idexo, entity_id *map_id, void_int *elem_map, int *ierr)
void | exgpem (int *idexo, entity_id *map_id, void_int *start, void_int *count, void_int *elem_map, int *ierr)
void | exgenm (int *idexo, void_int *elem_map, int *ierr)
void | exgmp (int *idexo, int *num_node_maps, int *num_elem_maps, int *ierr)
void | exgnm (int *idexo, entity_id *map_id, void_int *node_map, int *ierr)
void | exgnnm (int *idexo, void_int *node_map, int *ierr)
void | exgvnm (int *idexo, char *var_type, int *var_index, char *var_name, int *ierr, int var_typelen, int var_namelen)
void | expem (int *idexo, entity_id *map_id, void_int *elem_map, int *ierr)
void | exppem (int *idexo, entity_id *map_id, void_int *start, void_int *count, void_int *elem_map, int *ierr)
void | expenm (int *idexo, void_int *elem_map, int *ierr)
void | expmp (int *idexo, int *num_node_maps, int *num_elem_maps, int *ierr)
void | expnm (int *idexo, entity_id *map_id, void_int *node_map, int *ierr)
void | expnnm (int *idexo, void_int *node_map, int *ierr)
void | expvnm (int *idexo, char *var_type, int *var_index, char *var_name, int *ierr, int var_typelen, int var_namelen)
void | exgii (int *idne, int *nproc, int *nproc_in_f, char *ftype, int *ierr, size_t ftypelen)
void | expii (int *idne, int *nproc, int *nproc_in_f, char *ftype, int *ierr, size_t ftypelen)
void | exgig (int *idne, void_int *nnodes_g, void_int *nelems_g, void_int *nelem_blks_g, void_int *nnode_sets_g, void_int *nside_sets_g, int *ierr)
void | expig (int *idne, void_int *nnodes_g, void_int *nelems_g, void_int *nelem_blks_g, void_int *nnode_sets_g, void_int *nside_sets_g, int *ierr)
void | exglbp (int *idne, void_int *nint_nodes, void_int *nbor_nodes, void_int *next_nodes, void_int *nint_elems, void_int *nbor_elems, void_int *nnode_cmaps, void_int *nelem_cmaps, int *processor, int *ierr)
void | explbp (int *idne, void_int *nint_nodes, void_int *nbor_nodes, void_int *next_nodes, void_int *nint_elems, void_int *nbor_elems, void_int *nnode_cmaps, void_int *nelem_cmaps, int *processor, int *ierr)
void | explbpc (int *idne, void_int *nint_nodes, void_int *nbor_nodes, void_int *next_nodes, void_int *nint_elems, void_int *nbor_elems, void_int *nnode_cmaps, void_int *nelem_cmaps, int *ierr)
void | exgnspg (int *idne, void_int *ns_ids_glob, void_int *ns_n_cnt_glob, void_int *ns_df_cnt_glob, int *ierr)
void | expnspg (int *idne, void_int *global_ids, void_int *global_n_cnts, void_int *global_df_cnts, int *ierr)
void | exgsspg (int *idne, void_int *ss_ids_glob, void_int *ss_n_cnt_glob, void_int *ss_df_cnt_glob, int *ierr)
void | expsspg (int *idne, void_int *global_ids, void_int *global_el_cnts, void_int *global_df_cnts, int *ierr)
void | exgebig (int *idne, void_int *el_blk_ids, void_int *el_blk_cnts, int *ierr)
void | expebig (int *idne, void_int *el_blk_ids, void_int *el_blk_cnts, int *ierr)
void | exgnss (int *idne, entity_id *ss_id, void_int *start, void_int *count, void_int *ss_elem_list, void_int *ss_side_list, int *ierr)
void | expnss (int *idne, entity_id *ss_id, void_int *start, void_int *count, void_int *ss_elem_list, void_int *ss_side_list, int *ierr)
void | exgnssd (int *idne, entity_id *ss_id, void_int *start, void_int *count, real *ss_df, int *ierr)
void | expnssd (int *idne, entity_id *ss_id, void_int *start, void_int *count, real *ss_df, int *ierr)
void | exgnns (int *idne, entity_id *ns_id, void_int *start, void_int *count, void_int *ns_node_list, int *ierr)
void | expnns (int *idne, entity_id *ns_id, void_int *start, void_int *count, void_int *ns_node_list, int *ierr)
void | exgnnsd (int *idne, entity_id *ns_id, void_int *start, void_int *count, real *ns_df, int *ierr)
void | expnnsd (int *idne, entity_id *ns_id, void_int *start, void_int *count, real *ns_df, int *ierr)
void | exgncor (int *idne, void_int *start, void_int *count, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void | expncor (int *idne, void_int *start, void_int *count, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void | exgnec (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, void_int *connect, int *ierr)
void | expnec (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, void_int *connect, int *ierr)
void | exgneat (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, real *attrib, int *ierr)
void | expneat (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, real *attrib, int *ierr)
void | exgelt (int *idne, entity_id *elem_blk_id, char *elem_type, int *ierr, size_t elem_typelen)
void | exgnev (int *idne, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *num_elem_this_blk, void_int *start, void_int *count, real *elem_var_vals, int *ierr)
void | expevs (int *idne, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *start, void_int *count, real *elem_var_vals, int *ierr)
void | exgnnv (int *idne, int *time_step, int *nodal_var_index, void_int *start, void_int *count, real *nodal_vars, int *ierr)
void | expnvs (int *idne, int *time_step, int *nodal_var_index, void_int *start, void_int *count, real *nodal_var_vals, int *ierr)
void | exgnenm (int *idne, void_int *starte, void_int *num_ent, void_int *elem_map, int *ierr)
void | expnenm (int *idne, void_int *starte, void_int *num_ent, void_int *elem_map, int *ierr)
void | exgnnnm (int *idne, void_int *startn, void_int *num_ent, void_int *node_map, int *ierr)
void | expnnnm (int *idne, void_int *startn, void_int *num_ent, void_int *node_map, int *ierr)
void | exgnmp (int *idne, void_int *node_mapi, void_int *node_mapb, void_int *node_mape, int *processor, int *ierr)
void | expnmp (int *idne, void_int *node_mapi, void_int *node_mapb, void_int *node_mape, int *processor, int *ierr)
void | exgemp (int *idne, void_int *elem_mapi, void_int *elem_mapb, int *processor, int *ierr)
void | expemp (int *idne, void_int *elem_mapi, void_int *elem_mapb, int *processor, int *ierr)
void | exgcmp (int *idne, void_int *ncmap_ids, void_int *ncmap_node_cnts, void_int *ecmap_ids, void_int *ecmap_elem_cnts, int *processor, int *ierr)
void | expcmp (int *idne, void_int *nmap_ids, void_int *nmap_node_cnts, void_int *emap_ids, void_int *emap_elem_cnts, int *processor, int *ierr)
void | expcmpc (int *idne, void_int *nmap_ids, void_int *nmap_node_cnts, void_int *nproc_ptrs, void_int *emap_ids, void_int *emap_elem_cnts, void_int *eproc_ptrs, int *ierr)
void | exgncm (int *idne, entity_id *map_id, void_int *node_ids, void_int *proc_ids, int *processor, int *ierr)
void | expncm (int *idne, entity_id *map_id, void_int *node_ids, void_int *proc_ids, int *processor, int *ierr)
void | exgecm (int *idne, entity_id *map_id, void_int *elem_ids, void_int *side_ids, void_int *proc_ids, int *processor, int *ierr)
void | expecm (int *idne, entity_id *map_id, void_int *elem_ids, void_int *side_ids, void_int *proc_ids, int *processor, int *ierr)

## Macro Definition Documentation

## ◆ entity_id

#define entity_id int

## ◆ F2C

#define F2C | ( |  | name,
|  |  | NAME
| ) |  | name

## ◆ real

#define real float

## Function Documentation

## ◆ ex_fcdcpy()

static void ex_fcdcpy | ( | char * | fstring,
|  | int | fslen,
|  | char * | sstring
| ) |  |
| static

## ◆ ex_fstrncpy()

static void ex_fstrncpy | ( | char * | target,
|  | char * | source,
|  | int | maxlen
| ) |  |
| static

## ◆ ex_nstrncpy()

static void ex_nstrncpy | ( | char * | target,
|  | char * | source,
|  | int | maxlen
| ) |  |
| static

## ◆ exclos()

void exclos | ( | int * | idexo,
|  | int * | ierr
| ) |  |

close an EXODUS II file

See also
  ex_close()

## ◆ excn2s()

void excn2s | ( | int * | idexo,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_nodes_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_node_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_node_list,
|  | void_int * | side_sets_side_list,
|  | int * | ierr
| ) |  |

convert side set node lists to side set side lists

See also
  ex_cvt_nodes_to_sides()

## ◆ excopy()

void excopy | ( | int * | idexo_in,
|  | int * | idexo_out,
|  | int * | ierr
| ) |  |

copy EXODUS file

See also
  ex_copy()

## ◆ excpws()

int excpws | ( |  | ) |

Routine to return floating point word size

See also
  ex__get_cpu_ws()

## ◆ excre()

int excre | ( | char * | path,
|  | int * | clobmode,
|  | int * | cpu_word_size,
|  | int * | io_word_size,
|  | int * | ierr,
|  | int | pathlen
| ) |  |

create an EXODUS II file

See also
  ex_create()

## ◆ exerr()

void exerr | ( | char * | pname,
|  | char * | err_string,
|  | int * | errcode,
|  | int | pnamelen,
|  | int | err_stringlen
| ) |  |

Generalized error handling function

See also
  ex_err()

## ◆ exgatm()

void exgatm | ( | int * | idexo,
|  | real * | time_values,
|  | int * | ierr
| ) |  |

read all time values

See also
  ex_get_all_times()

## ◆ exgcmp()

void exgcmp | ( | int * | idne,
|  | void_int * | ncmap_ids,
|  | void_int * | ncmap_node_cnts,
|  | void_int * | ecmap_ids,
|  | void_int * | ecmap_elem_cnts,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Read the communications map parameters for a single processor

See also
  ex_get_cmap_params()

## ◆ exgcns()

void exgcns | ( | int * | idexo,
|  | void_int * | node_set_ids,
|  | void_int * | num_nodes_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | node_sets_node_index,
|  | void_int * | node_sets_dist_index,
|  | void_int * | node_sets_node_list,
|  | real * | node_sets_dist_fact,
|  | int * | ierr
| ) |  |

read concatenated node sets

See also
  ex_get_concat_sets()

## ◆ exgcon()

void exgcon | ( | int * | idexo,
|  | char * | coord_names,
|  | int * | ierr,
|  | int | coord_nameslen
| ) |  |

read coordinate names

See also
  ex_get_coord_names()

## ◆ exgcor()

void exgcor | ( | int * | idexo,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

read nodal coordinates

See also
  ex_get_coord()

## ◆ exgcss()

void exgcss | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_dist_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_side_list,
|  | real * | side_sets_dist_fact,
|  | int * | ierr
| ) |  |

read concatenated side sets

See also
  ex_get_concat_sets()

## ◆ exgcssc()

void exgcssc | ( | int * | idexo,
|  | int * | side_set_node_cnt_list,
|  | int * | ierr
| ) |  |

read concatenated side set node count

See also
  ex_get_concat_side_set_node_count()

## ◆ exgcssf()

void exgcssf | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_dist_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_side_list,
|  | int * | ierr
| ) |  |

read concatenated side sets (no dist factors)

See also
  ex_get_concat_sets()

## ◆ exgean()

void exgean | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | int * | num_attr,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

read element block attribute names

See also
  ex_get_attr_names()

## ◆ exgeat()

void exgeat | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

read element block attributes

See also
  ex_get_attr()

## ◆ exgebi()

void exgebi | ( | int * | idexo,
|  | void_int * | elem_blk_ids,
|  | int * | ierr
| ) |  |

read element blocks IDs

See also
  ex_get_ids()

## ◆ exgebig()

void exgebig | ( | int * | idne,
|  | void_int * | el_blk_ids,
|  | void_int * | el_blk_cnts,
|  | int * | ierr
| ) |  |

Read global element block information

See also
  ex_get_eb_info_global()

## ◆ exgecm()

void exgecm | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | elem_ids,
|  | void_int * | side_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Read the elemental communications map for a single processor

See also
  ex_get_elem_cmap()

## ◆ exgecpp()

void exgecpp | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | elem_blk_id,
|  | int * | counts,
|  | int * | ierr
| ) |  |

read entity count-per-polyhedra information for nsided block

See also
  ex_get_entity_count_per_polyhedra()

## ◆ exgelb()

void exgelb | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | char * | elem_type,
|  | void_int * | num_elem_this_blk,
|  | void_int * | num_nodes_per_elem,
|  | void_int * | num_attr,
|  | int * | ierr,
|  | int | elem_typelen
| ) |  |

read element block parameters

See also
  ex_get_block()

## ◆ exgelc()

void exgelc | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

read element block connectivity

See also
  ex_get_conn()

## ◆ exgelt()

void exgelt | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | char * | elem_type,
|  | int * | ierr,
|  | size_t | elem_typelen
| ) |  |

Read the element type for a specific element block

See also
  ex_get_elem_type()

## ◆ exgem()

void exgem | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

get element map

See also
  ex_get_num_map()

## ◆ exgemp()

void exgemp | ( | int * | idne,
|  | void_int * | elem_mapi,
|  | void_int * | elem_mapb,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Read the element map for a processor

See also
  ex_get_processor_elem_maps()

## ◆ exgenm()

void exgenm | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

get element number map

See also
  ex_get_id_map()

## ◆ exgev()

void exgev | ( | int * | idexo,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | num_elem_this_blk,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

read element variable values at a time step

See also
  ex_get_var()

## ◆ exgevt()

void exgevt | ( | int * | idexo,
|  | int * | elem_var_index,
|  | void_int * | elem_number,
|  | int * | beg_time_step,
|  | int * | end_time_step,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

read element variable values through time

See also
  ex_get_var_time()

## ◆ exgfrm()

void exgfrm | ( | int * | idexo,
|  | int * | nframeo,
|  | void_int * | cfids,
|  | real * | coord,
|  | int * | tags,
|  | int * | ierr
| ) |  |

ex_get_coordinate_frames – read coordinate frames

See also
  ex_get_coordinate_frames()

## ◆ exggv()

void exggv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | num_glob_vars,
|  | real * | glob_var_vals,
|  | int * | ierr
| ) |  |

read global variable values at a time step

See also
  ex_get_var()

## ◆ exggvt()

void exggvt | ( | int * | idexo,
|  | int * | glob_var_index,
|  | int * | beg_time_step,
|  | int * | end_time_step,
|  | real * | glob_var_vals,
|  | int * | ierr
| ) |  |

read global variable values through time

See also
  ex_get_var_time()

## ◆ exgi64()

int64_t exgi64 | ( | int * | idexo | ) |

## ◆ exgig()

void exgig | ( | int * | idne,
|  | void_int * | nnodes_g,
|  | void_int * | nelems_g,
|  | void_int * | nelem_blks_g,
|  | void_int * | nnode_sets_g,
|  | void_int * | nside_sets_g,
|  | int * | ierr
| ) |  |

Read initial global information

See also
  ex_get_init_global()

## ◆ exgii()

void exgii | ( | int * | idne,
|  | int * | nproc,
|  | int * | nproc_in_f,
|  | char * | ftype,
|  | int * | ierr,
|  | size_t | ftypelen
| ) |  |

Get initial information from nemesis file

See also
  ex_get_init_info()

## ◆ exginf()

void exginf | ( | int * | idexo,
|  | char * | info,
|  | int * | ierr,
|  | int | infolen
| ) |  |

read information records

See also
  ex_get_info()

printf("[exginf] rec: %d , %s\n",i,*(aptr+i));

## ◆ exgini()

void exgini | ( | int * | idexo,
|  | char * | title,
|  | void_int * | num_dim,
|  | void_int * | num_nodes,
|  | void_int * | num_elem,
|  | void_int * | num_elem_blk,
|  | void_int * | num_node_sets,
|  | void_int * | num_side_sets,
|  | int * | ierr,
|  | int | titlelen
| ) |  |

read initialization parameters

See also
  ex_get_init()

## ◆ exglbp()

void exglbp | ( | int * | idne,
|  | void_int * | nint_nodes,
|  | void_int * | nbor_nodes,
|  | void_int * | next_nodes,
|  | void_int * | nint_elems,
|  | void_int * | nbor_elems,
|  | void_int * | nnode_cmaps,
|  | void_int * | nelem_cmaps,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Read load balance parameters

See also
  ex_get_loadbal_param()

## ◆ exgmap()

void exgmap | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

read element order map

See also
  ex_get_map()

## ◆ exgmp()

void exgmp | ( | int * | idexo,
|  | int * | num_node_maps,
|  | int * | num_elem_maps,
|  | int * | ierr
| ) |  |

get map parameters

See also
  ex_get_map_param()

## ◆ exgnam()

void exgnam | ( | int * | idexo,
|  | int * | type,
|  | int * | id,
|  | char * | name,
|  | int * | ierr,
|  | int | namelen
| ) |  |

read single object name

See also
  ex_get_name()

## ◆ exgnams()

void exgnams | ( | int * | idexo,
|  | int * | type,
|  | int * | num_obj,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

read object names

See also
  ex_get_names()

## ◆ exgncm()

void exgncm | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | node_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Read the nodal communications map for a single processor

See also
  ex_get_node_cmap()

## ◆ exgncor()

void exgncor | ( | int * | idne,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

Read coordinates of the nodes

See also
  ex_get_partial_coord()

## ◆ exgneat()

void exgneat | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

Read an element block's attributes

See also
  ex_get_partial_attr()

## ◆ exgnec()

void exgnec | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

Read an element block's connectivity list

See also
  ex_get_partial_conn()

## ◆ exgnenm()

void exgnenm | ( | int * | idne,
|  | void_int * | starte,
|  | void_int * | num_ent,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

Read the element numbering map

See also
  ex_get_partial_id_map()

## ◆ exgnev()

void exgnev | ( | int * | idne,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | num_elem_this_blk,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

Read a variable for an element block

See also
  ex_get_partial_var()

## ◆ exgnm()

void exgnm | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

get node map

See also
  ex_get_num_map()

## ◆ exgnmp()

void exgnmp | ( | int * | idne,
|  | void_int * | node_mapi,
|  | void_int * | node_mapb,
|  | void_int * | node_mape,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Read the node map for a processor

See also
  ex_get_processor_node_maps()

## ◆ exgnnm()

void exgnnm | ( | int * | idexo,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

get node number map

See also
  ex_get_id_map()

## ◆ exgnnnm()

void exgnnnm | ( | int * | idne,
|  | void_int * | startn,
|  | void_int * | num_ent,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

Read the node numbering map

See also
  ex_get_partial_id_map()

## ◆ exgnns()

void exgnns | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ns_node_list,
|  | int * | ierr
| ) |  |

Read node set list for a single node set

See also
  ex_get_partial_set()

## ◆ exgnnsd()

void exgnnsd | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ns_df,
|  | int * | ierr
| ) |  |

Read node set distribution factor

See also
  ex_get_partial_set_dist_fact()

## ◆ exgnnv()

void exgnnv | ( | int * | idne,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | nodal_vars,
|  | int * | ierr
| ) |  |

Read the values of a single nodal variable for a single time step

See also
  ex_get_partial_var()

## ◆ exgnp()

void exgnp | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | num_nodes_in_set,
|  | void_int * | num_dist_in_set,
|  | int * | ierr
| ) |  |

read node set parameters

See also
  ex_get_set_param()

## ◆ exgns()

void exgns | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | node_set_node_list,
|  | int * | ierr
| ) |  |

read node set

See also
  ex_get_set()

## ◆ exgnsd()

void exgnsd | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | real * | node_set_dist_fact,
|  | int * | ierr
| ) |  |

read node set dist factors

See also
  ex_get_set_dist_fact()

## ◆ exgnsi()

void exgnsi | ( | int * | idexo,
|  | void_int * | node_set_ids,
|  | int * | ierr
| ) |  |

read node sets IDs

See also
  ex_get_ids()

## ◆ exgnspg()

void exgnspg | ( | int * | idne,
|  | void_int * | ns_ids_glob,
|  | void_int * | ns_n_cnt_glob,
|  | void_int * | ns_df_cnt_glob,
|  | int * | ierr
| ) |  |

Read global node set parameters

See also
  ex_get_ns_param_global()

## ◆ exgnss()

void exgnss | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ss_elem_list,
|  | void_int * | ss_side_list,
|  | int * | ierr
| ) |  |

Read side set element list and side set side list

See also
  ex_get_partial_set()

## ◆ exgnssd()

void exgnssd | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ss_df,
|  | int * | ierr
| ) |  |

Read side set distribution factor

See also
  ex_get_partial_set_dist_fact()

## ◆ exgnstt()

void exgnstt | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

read nodeset variable truth table

See also
  ex_get_truth_table()

## ◆ exgnsv()

void exgnsv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

read nodeset variable values at a time step

See also
  ex_get_var()

## ◆ exgnv()

void exgnv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | num_nodes,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

read nodal variable values at a time step

See also
  ex_get_var()

## ◆ exgnvt()

void exgnvt | ( | int * | idexo,
|  | int * | nodal_var_index,
|  | void_int * | node_number,
|  | int * | beg_time_step,
|  | int * | end_time_step,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

read nodal variable values through time

See also
  ex_get_var_time()

## ◆ exgp()

void exgp | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | obj_id,
|  | char * | prop_name,
|  | void_int * | value,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

read object property

See also
  ex_get_prop()

## ◆ exgpa()

void exgpa | ( | int * | idexo,
|  | int * | obj_type,
|  | char * | prop_name,
|  | void_int * | values,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

read object property array

See also
  ex_get_prop_array()

## ◆ exgpem()

void exgpem | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

get partial_element map

See also
  ex_get_partial_num_map()

## ◆ exgpn()

void exgpn | ( | int * | idexo,
|  | int * | obj_type,
|  | char * | prop_names,
|  | int * | ierr,
|  | int | prop_nameslen
| ) |  |

read property array names

See also
  ex_get_prop_names()

## ◆ exgqa()

void exgqa | ( | int * | idexo,
|  | char * | qa_record,
|  | int * | ierr,
|  | int | qa_recordlen
| ) |  |

read QA records

See also
  ex_get_qa()

## ◆ exgsnl()

void exgsnl | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | num_nodes_in_set,
|  | int * | ierr
| ) |  |

get side set node list length

See also
  ex_get_side_set_node_list_len()

## ◆ exgsp()

void exgsp | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | num_sides_in_set,
|  | void_int * | num_df_in_set,
|  | int * | ierr
| ) |  |

read side set parameters

See also
  ex_get_set_param()

## ◆ exgss()

void exgss | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | side_set_elem_list,
|  | void_int * | side_set_side_list,
|  | int * | ierr
| ) |  |

read side set

See also
  ex_get_set()

## ◆ exgssc()

void exgssc | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | int * | side_set_node_cnt_list,
|  | int * | ierr
| ) |  |

read side set node count

See also
  ex_get_side_set_node_count()

## ◆ exgssd()

void exgssd | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | real * | side_set_dist_fact,
|  | int * | ierr
| ) |  |

read side set distribution factors

See also
  ex_get_set_dist_fact()

## ◆ exgssi()

void exgssi | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | int * | ierr
| ) |  |

read side sets IDs

See also
  ex_get_ids()

## ◆ exgssn()

void exgssn | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | int * | side_set_node_cnt_list,
|  | void_int * | side_set_node_list,
|  | int * | ierr
| ) |  |

read side set node list

See also
  ex_get_side_set_node_list()

## ◆ exgsspg()

void exgsspg | ( | int * | idne,
|  | void_int * | ss_ids_glob,
|  | void_int * | ss_n_cnt_glob,
|  | void_int * | ss_df_cnt_glob,
|  | int * | ierr
| ) |  |

Read global side set parameters

See also
  ex_get_ss_param_global()

## ◆ exgsstt()

void exgsstt | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

read sideset variable truth table

See also
  ex_get_truth_table()

## ◆ exgssv()

void exgssv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

read sideset variable values at a time step

See also
  ex_get_var()

## ◆ exgtim()

void exgtim | ( | int * | idexo,
|  | int * | time_step,
|  | real * | time_value,
|  | int * | ierr
| ) |  |

read time value for a time step

See also
  ex_get_time()

## ◆ exgvan()

void exgvan | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | char * | var_names,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_nameslen
| ) |  |

read results variables names

See also
  ex_get_variable_names()

## ◆ exgvnm()

void exgvnm | ( | int * | idexo,
|  | char * | var_type,
|  | int * | var_index,
|  | char * | var_name,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_namelen
| ) |  |

read single results variables name

See also
  ex_get_variable_name()

printf("[exgvnm] var_name(%d): %s\n",*var_index,sptr));

## ◆ exgvp()

void exgvp | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | int * | ierr,
|  | int | var_typelen
| ) |  |

read results variables parameters

See also
  ex_get_variable_param()

## ◆ exgvtt()

void exgvtt | ( | int * | idexo,
|  | int * | num_elem_blk,
|  | int * | num_elem_var,
|  | int * | elem_var_tab,
|  | int * | ierr
| ) |  |

read element variable truth table

See also
  ex_get_truth_table()

## ◆ exinq()

void exinq | ( | int * | idexo,
|  | int * | req_info,
|  | void_int * | ret_int,
|  | float * | ret_float,
|  | char * | ret_char,
|  | int * | ierr,
|  | int | ret_charlen
| ) |  |

inquire EXODUS parameters

See also
  ex_inquire()

## ◆ exinqi()

int64_t exinqi | ( | int * | idexo,
|  | int * | req_info
| ) |  |

inquire integer EXODUS parameters

See also
  ex_inquire_int()

## ◆ exlgmd()

int exlgmd | ( | int * | idexo | ) |

Routine to return large model setting

See also
  ex_large_model()

## ◆ exmxnm()

void exmxnm | ( | int * | idexo,
|  | int * | length,
|  | int * | ierr
| ) |  |

## ◆ exopen()

int exopen | ( | char * | path,
|  | int * | mode,
|  | int * | cpu_word_size,
|  | int * | io_word_size,
|  | float * | version,
|  | int * | ierr,
|  | int | pathlen
| ) |  |

open an EXODUS II file

See also
  ex_open()

## ◆ exopts()

void exopts | ( | int * | option_val,
|  | int * | ierr
| ) |  |

## ◆ expclb()

void expclb | ( | int * | idexo,
|  | void_int * | elem_blk_id,
|  | char * | elem_type,
|  | void_int * | num_elem_this_blk,
|  | void_int * | num_nodes_per_elem,
|  | void_int * | num_attr,
|  | int * | create_maps,
|  | int * | ierr,
|  | int | elem_typelen
| ) |  |

write concatenated element block parameters

See also
  ex_put_concat_elem_block()

## ◆ expcmp()

void expcmp | ( | int * | idne,
|  | void_int * | nmap_ids,
|  | void_int * | nmap_node_cnts,
|  | void_int * | emap_ids,
|  | void_int * | emap_elem_cnts,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Write the communications map parameters for a single processor

See also
  ex_put_cmap_params()

## ◆ expcmpc()

void expcmpc | ( | int * | idne,
|  | void_int * | nmap_ids,
|  | void_int * | nmap_node_cnts,
|  | void_int * | nproc_ptrs,
|  | void_int * | emap_ids,
|  | void_int * | emap_elem_cnts,
|  | void_int * | eproc_ptrs,
|  | int * | ierr
| ) |  |

Write the communications map parameters for all processors

See also
  ex_put_cmap_params_cc()

## ◆ expcns()

void expcns | ( | int * | idexo,
|  | void_int * | node_set_ids,
|  | void_int * | num_nodes_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | node_sets_node_index,
|  | void_int * | node_sets_dist_index,
|  | void_int * | node_sets_node_list,
|  | real * | node_sets_dist_fact,
|  | int * | ierr
| ) |  |

write concatenated node sets

See also
  ex_put_concat_sets()

## ◆ expcon()

void expcon | ( | int * | idexo,
|  | char * | coord_names,
|  | int * | ierr,
|  | int | coord_nameslen
| ) |  |

write coordinate names

See also
  ex_put_coord_names()

## ◆ expcor()

void expcor | ( | int * | idexo,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

write nodal coordinates

See also
  ex_put_coord()

## ◆ expcss()

void expcss | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_dist_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_side_list,
|  | real * | side_sets_dist_fact,
|  | int * | ierr
| ) |  |

write concatenated side sets

See also
  ex_put_concat_sets()

## ◆ expean()

void expean | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | int * | num_attr,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

write element block attribute names

See also
  ex_put_attr_names()

## ◆ expeat()

void expeat | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

write element block attributes

See also
  ex_put_attr()

## ◆ expebig()

void expebig | ( | int * | idne,
|  | void_int * | el_blk_ids,
|  | void_int * | el_blk_cnts,
|  | int * | ierr
| ) |  |

Write global element block information

See also
  ex_put_eb_info_global()

## ◆ expecm()

void expecm | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | elem_ids,
|  | void_int * | side_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Write the elemental communications map for a single processor

See also
  ex_put_elem_cmap()

## ◆ expecpp()

void expecpp | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | elem_blk_id,
|  | int * | counts,
|  | int * | ierr
| ) |  |

write entity count-per-polyhedra information for nsided block

See also
  ex_put_entity_count_per_polyhedra()

## ◆ expelb()

void expelb | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | char * | elem_type,
|  | void_int * | num_elem_this_blk,
|  | void_int * | num_nodes_per_elem,
|  | void_int * | num_attr,
|  | int * | ierr,
|  | int | elem_typelen
| ) |  |

write element block parameters

See also
  ex_put_block()

## ◆ expelc()

void expelc | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

write element block connectivity

See also
  ex_put_conn()

## ◆ expem()

void expem | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

put element map

See also
  ex_put_num_map()

## ◆ expemp()

void expemp | ( | int * | idne,
|  | void_int * | elem_mapi,
|  | void_int * | elem_mapb,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Write the element map for a processor

See also
  ex_put_processor_elem_maps()

## ◆ expenm()

void expenm | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

put element number map

See also
  ex_put_id_map()

## ◆ expev()

void expev | ( | int * | idexo,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | num_elem_this_blk,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

write element variable values at a time step

See also
  ex_put_var()

## ◆ expevs()

void expevs | ( | int * | idne,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

Write a variable slab for an element block

See also
  ex_put_partial_var()

## ◆ expfrm()

void expfrm | ( | int * | idexo,
|  | int * | nframe,
|  | void_int * | cfids,
|  | real * | coord,
|  | int * | tags,
|  | int * | ierr
| ) |  |

ex_put_coordinate_frames – define/write coordinate frames

See also
  ex_put_coordinate_frames()

## ◆ expgv()

void expgv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | num_glob_vars,
|  | real * | glob_var_vals,
|  | int * | ierr
| ) |  |

write global variable values at time step

See also
  ex_put_var()

## ◆ expig()

void expig | ( | int * | idne,
|  | void_int * | nnodes_g,
|  | void_int * | nelems_g,
|  | void_int * | nelem_blks_g,
|  | void_int * | nnode_sets_g,
|  | void_int * | nside_sets_g,
|  | int * | ierr
| ) |  |

Write initial global information

See also
  ex_put_init_global()

## ◆ expii()

void expii | ( | int * | idne,
|  | int * | nproc,
|  | int * | nproc_in_f,
|  | char * | ftype,
|  | int * | ierr,
|  | size_t | ftypelen
| ) |  |

Write initial information from nemesis file

See also
  ex_put_init_info()

## ◆ expinf()

void expinf | ( | int * | idexo,
|  | int * | num_info,
|  | char * | info,
|  | int * | ierr,
|  | int | infolen
| ) |  |

write information records

See also
  ex_put_info()

## ◆ expini()

void expini | ( | int * | idexo,
|  | char * | title,
|  | void_int * | num_dim,
|  | void_int * | num_nodes,
|  | void_int * | num_elem,
|  | void_int * | num_elem_blk,
|  | void_int * | num_node_sets,
|  | void_int * | num_side_sets,
|  | int * | ierr,
|  | int | titlelen
| ) |  |

write initialization parameters

See also
  ex_put_init()

## ◆ explbp()

void explbp | ( | int * | idne,
|  | void_int * | nint_nodes,
|  | void_int * | nbor_nodes,
|  | void_int * | next_nodes,
|  | void_int * | nint_elems,
|  | void_int * | nbor_elems,
|  | void_int * | nnode_cmaps,
|  | void_int * | nelem_cmaps,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Write load balance parameters

See also
  ex_put_loadbal_param()

## ◆ explbpc()

void explbpc | ( | int * | idne,
|  | void_int * | nint_nodes,
|  | void_int * | nbor_nodes,
|  | void_int * | next_nodes,
|  | void_int * | nint_elems,
|  | void_int * | nbor_elems,
|  | void_int * | nnode_cmaps,
|  | void_int * | nelem_cmaps,
|  | int * | ierr
| ) |  |

Write concatenated load balance parameters

See also
  ex_put_loadbal_param_cc()

## ◆ expmap()

void expmap | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

write element order map

See also
  ex_put_map()

## ◆ expmp()

void expmp | ( | int * | idexo,
|  | int * | num_node_maps,
|  | int * | num_elem_maps,
|  | int * | ierr
| ) |  |

put map parameters

See also
  ex_put_map_param()

## ◆ expnam()

void expnam | ( | int * | idexo,
|  | int * | type,
|  | int * | id,
|  | char * | name,
|  | int * | ierr,
|  | int | namelen
| ) |  |

write single object names

See also
  ex_put_name()

## ◆ expnams()

void expnams | ( | int * | idexo,
|  | int * | type,
|  | int * | num_obj,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

write object names

See also
  ex_put_names()

## ◆ expncm()

void expncm | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | node_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Write the nodal communications map for a single processor

See also
  ex_put_node_cmap()

## ◆ expncor()

void expncor | ( | int * | idne,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

Write coordinates of the nodes

See also
  ex_put_partial_coord()

## ◆ expneat()

void expneat | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

Write an element block's attributes

See also
  ex_put_partial_attr()

## ◆ expnec()

void expnec | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

Write an element block's connectivity list

See also
  ex_put_partial_conn()

## ◆ expnenm()

void expnenm | ( | int * | idne,
|  | void_int * | starte,
|  | void_int * | num_ent,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

Write the element numbering map

See also
  ex_put_partial_id_map()

## ◆ expnm()

void expnm | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

put node map

See also
  ex_put_num_map()

## ◆ expnmp()

void expnmp | ( | int * | idne,
|  | void_int * | node_mapi,
|  | void_int * | node_mapb,
|  | void_int * | node_mape,
|  | int * | processor,
|  | int * | ierr
| ) |  |

Write a node map for a processor

See also
  ex_put_processor_node_maps()

## ◆ expnnm()

void expnnm | ( | int * | idexo,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

put node number map

See also
  ex_put_id_map()

## ◆ expnnnm()

void expnnnm | ( | int * | idne,
|  | void_int * | startn,
|  | void_int * | num_ent,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

Write the node numbering map

See also
  ex_put_partial_id_map()

## ◆ expnns()

void expnns | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ns_node_list,
|  | int * | ierr
| ) |  |

Write node set list for a single node set

See also
  ex_put_partial_set()

## ◆ expnnsd()

void expnnsd | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ns_df,
|  | int * | ierr
| ) |  |

Write node set distribution factor

See also
  ex_put_partial_set_dist_fact()

## ◆ expnp()

void expnp | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | num_nodes_in_set,
|  | void_int * | num_dist_in_set,
|  | int * | ierr
| ) |  |

write node set parameters

See also
  ex_put_set_param()

## ◆ expns()

void expns | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | node_set_node_list,
|  | int * | ierr
| ) |  |

write node set

See also
  ex_put_set()

## ◆ expnsd()

void expnsd | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | real * | node_set_dist_fact,
|  | int * | ierr
| ) |  |

write node set dist factors

See also
  ex_put_set_dist_fact()

## ◆ expnspg()

void expnspg | ( | int * | idne,
|  | void_int * | global_ids,
|  | void_int * | global_n_cnts,
|  | void_int * | global_df_cnts,
|  | int * | ierr
| ) |  |

Write global node set parameters

See also
  ex_put_ns_param_global()

## ◆ expnss()

void expnss | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ss_elem_list,
|  | void_int * | ss_side_list,
|  | int * | ierr
| ) |  |

Write side set element list and side set side list

See also
  ex_put_partial_set()

## ◆ expnssd()

void expnssd | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ss_df,
|  | int * | ierr
| ) |  |

Write side set distribution factor

See also
  ex_put_partial_set_dist_fact()

## ◆ expnstt()

void expnstt | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

write nodeset variable truth table

See also
  ex_put_truth_table()

## ◆ expnsv()

void expnsv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

write nodeset variable values at a time step

See also
  ex_put_var()

## ◆ expnv()

void expnv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | num_nodes,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

write nodal variable values at a time step

See also
  ex_put_var()

## ◆ expnvs()

void expnvs | ( | int * | idne,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

Write nodal variable slab

See also
  ex_put_partial_var()

## ◆ expp()

void expp | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | obj_id,
|  | char * | prop_name,
|  | entity_id * | value,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

write object property

See also
  ex_put_prop()

## ◆ exppa()

void exppa | ( | int * | idexo,
|  | int * | obj_type,
|  | char * | prop_name,
|  | void_int * | values,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

write object property array

See also
  ex_put_prop_array()

## ◆ exppem()

void exppem | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

put partial element map

See also
  ex_put_partial_num_map()

## ◆ exppn()

void exppn | ( | int * | idexo,
|  | int * | obj_type,
|  | int * | num_props,
|  | char * | prop_names,
|  | int * | ierr,
|  | int | prop_nameslen
| ) |  |

write property array names

See also
  ex_put_prop_names()

## ◆ expqa()

void expqa | ( | int * | idexo,
|  | int * | num_qa_records,
|  | char * | qa_record,
|  | int * | ierr,
|  | int | qa_recordlen
| ) |  |

write QA records

See also
  ex_put_qa()

## ◆ expsp()

void expsp | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | num_sides_in_set,
|  | void_int * | num_df_in_set,
|  | int * | ierr
| ) |  |

write side set parameters

See also
  ex_put_set_param()

## ◆ expss()

void expss | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | side_set_elem_list,
|  | void_int * | side_set_side_list,
|  | int * | ierr
| ) |  |

write side set

See also
  ex_put_set()

## ◆ expssd()

void expssd | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | real * | side_set_dist_fact,
|  | int * | ierr
| ) |  |

write side set distribution factors

See also
  ex_put_set_dist_fact()

## ◆ expsspg()

void expsspg | ( | int * | idne,
|  | void_int * | global_ids,
|  | void_int * | global_el_cnts,
|  | void_int * | global_df_cnts,
|  | int * | ierr
| ) |  |

Write global side set parameters

See also
  ex_put_ss_param_global()

## ◆ expsstt()

void expsstt | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

write sideset variable truth table

See also
  ex_put_truth_table()

## ◆ expssv()

void expssv | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

write sideset variable values at a time step

See also
  ex_put_var()

## ◆ exptim()

void exptim | ( | int * | idexo,
|  | int * | time_step,
|  | real * | time_value,
|  | int * | ierr
| ) |  |

write time value for a time step

See also
  ex_put_time()

## ◆ expvan()

void expvan | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | char * | var_names,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_nameslen
| ) |  |

write results variables names

See also
  ex_put_variable_names()

## ◆ expvnm()

void expvnm | ( | int * | idexo,
|  | char * | var_type,
|  | int * | var_index,
|  | char * | var_name,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_namelen
| ) |  |

write results variable name

See also
  ex_put_variable_name()

## ◆ expvp()

void expvp | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | int * | ierr,
|  | int | var_typelen
| ) |  |

write results variables parameters

See also
  ex_put_variable_param()

## ◆ expvtt()

void expvtt | ( | int * | idexo,
|  | int * | num_elem_blk,
|  | int * | num_elem_var,
|  | int * | elem_var_tab,
|  | int * | ierr
| ) |  |

write element variable truth table

See also
  ex_put_truth_table()

## ◆ exsetopt()

void exsetopt | ( | int * | idexo,
|  | int * | option,
|  | int * | value,
|  | int * | ierr
| ) |  |

## ◆ exsi64()

void exsi64 | ( | int * | idexo,
|  | int * | mode,
|  | int * | ierr
| ) |  |

## ◆ exupda()

void exupda | ( | int * | idexo,
|  | int * | ierr
| ) |  |

update an EXODUS II file

See also
  ex_update()